#if defined( _DEBUG ) && defined( WIN32 )

#include <string>
#include <windows.h>
#include "LaunchDebugger.h"

using namespace std;

BOOL LaunchDebugger()
{
	static BOOL launched = false;
	if( launched )
		return TRUE;

	launched = TRUE;

	STARTUPINFOW sSi;
	PROCESS_INFORMATION sPi;
	WCHAR szBufW[2560];
	SIZE_T i;
	BOOL b;
	DWORD dwExitCode;

	if (::IsDebuggerPresent() == FALSE) {
		memset(&sSi, 0, sizeof(sSi));
		memset(&sPi, 0, sizeof(sPi));

		szBufW[0] = L'"';
		::GetSystemDirectoryW(szBufW + 1, 2000);
		i = wcslen(szBufW);
		if (i > 0 && szBufW[i] != L'/' && szBufW[i] != L'\\')
			szBufW[i++] = L'\\';
		swprintf_s(szBufW + i, 2560 - i, L"VSJitDebugger.exe\" -p %lu", ::GetCurrentProcessId());

		b = ::CreateProcessW(NULL, szBufW, NULL, NULL, FALSE, 0, NULL, NULL, &sSi, &sPi);
		if (b != FALSE) {
			::WaitForSingleObject(sPi.hProcess, INFINITE);
			::GetExitCodeProcess(sPi.hProcess, &dwExitCode);
			if (dwExitCode != 0) //if exit code is zero, a debugger was selected
				b = FALSE;
		}

		if (sPi.hThread != NULL)
			::CloseHandle(sPi.hThread);

		if (sPi.hProcess != NULL)
			::CloseHandle(sPi.hProcess);

		if (b == FALSE)
			return FALSE;

		for (i = 0; i < 5 * 60; i++) {
			if (::IsDebuggerPresent() != FALSE)
				break;
			::Sleep(200);
		}
	}
#if defined _M_IX86
	_asm { int 3 };
#elif defined _M_X64
	__debugbreak();
#else
	::DebugBreak();
#endif
	return TRUE;
}

#endif
